Index: bind.hpp
===================================================================
--- bind.hpp	(revision 68545)
+++ bind.hpp	(working copy)
@@ -109,16 +109,16 @@
 
 // value
 
-template<class T> class value
+template<class T> class _value
 {
 public:
 
-    value(T const & t): t_(t) {}
+    _value(T const & t): t_(t) {}
 
     T & get() { return t_; }
     T const & get() const { return t_; }
 
-    bool operator==(value const & rhs) const
+    bool operator==(_value const & rhs) const
     {
         return t_ == rhs.t_;
     }
@@ -130,7 +130,7 @@
 
 // ref_compare for weak_ptr
 
-template<class T> bool ref_compare( value< weak_ptr<T> > const & a, value< weak_ptr<T> > const & b, int )
+template<class T> bool ref_compare( _value< weak_ptr<T> > const & a, _value< weak_ptr<T> > const & b, int )
 {
     return !(a.get() < b.get()) && !(b.get() < a.get());
 }
@@ -167,9 +167,9 @@
 
     list0() {}
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -228,9 +228,9 @@
 
     A1 operator[] (boost::arg<1> (*) ()) const { return base_type::a1_; }
 
-    template<class T> T & operator[] ( _bi::value<T> & v ) const { return v.get(); }
+    template<class T> T & operator[] ( _bi::_value<T> & v ) const { return v.get(); }
 
-    template<class T> T const & operator[] ( _bi::value<T> const & v ) const { return v.get(); }
+    template<class T> T const & operator[] ( _bi::_value<T> const & v ) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -288,9 +288,9 @@
     A1 operator[] (boost::arg<1> (*) ()) const { return base_type::a1_; }
     A2 operator[] (boost::arg<2> (*) ()) const { return base_type::a2_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -367,9 +367,9 @@
     A2 operator[] (boost::arg<2> (*) ()) const { return base_type::a2_; }
     A3 operator[] (boost::arg<3> (*) ()) const { return base_type::a3_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -432,9 +432,9 @@
     A3 operator[] (boost::arg<3> (*) ()) const { return base_type::a3_; }
     A4 operator[] (boost::arg<4> (*) ()) const { return base_type::a4_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -500,9 +500,9 @@
     A4 operator[] (boost::arg<4> (*) ()) const { return base_type::a4_; }
     A5 operator[] (boost::arg<5> (*) ()) const { return base_type::a5_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -571,9 +571,9 @@
     A5 operator[] (boost::arg<5> (*) ()) const { return base_type::a5_; }
     A6 operator[] (boost::arg<6> (*) ()) const { return base_type::a6_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -645,9 +645,9 @@
     A6 operator[] (boost::arg<6> (*) ()) const { return base_type::a6_; }
     A7 operator[] (boost::arg<7> (*) ()) const { return base_type::a7_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -722,9 +722,9 @@
     A7 operator[] (boost::arg<7> (*) ()) const { return base_type::a7_; }
     A8 operator[] (boost::arg<8> (*) ()) const { return base_type::a8_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -802,9 +802,9 @@
     A8 operator[] (boost::arg<8> (*) ()) const { return base_type::a8_; }
     A9 operator[] (boost::arg<9> (*) ()) const { return base_type::a9_; }
 
-    template<class T> T & operator[] (_bi::value<T> & v) const { return v.get(); }
+    template<class T> T & operator[] (_bi::_value<T> & v) const { return v.get(); }
 
-    template<class T> T const & operator[] (_bi::value<T> const & v) const { return v.get(); }
+    template<class T> T const & operator[] (_bi::_value<T> const & v) const { return v.get(); }
 
     template<class T> T & operator[] (reference_wrapper<T> const & v) const { return v.get(); }
 
@@ -986,7 +986,7 @@
 
 template<class T> struct add_value
 {
-    typedef _bi::value<T> type;
+    typedef _bi::_value<T> type;
 };
 
 #else
@@ -998,7 +998,7 @@
 
 template< class T > struct add_value_2< T, 0 >
 {
-    typedef _bi::value< T > type;
+    typedef _bi::_value< T > type;
 };
 
 template<class T> struct add_value
@@ -1008,9 +1008,9 @@
 
 #endif
 
-template<class T> struct add_value< value<T> >
+template<class T> struct add_value< _value<T> >
 {
-    typedef _bi::value<T> type;
+    typedef _bi::_value<T> type;
 };
 
 template<class T> struct add_value< reference_wrapper<T> >
@@ -1049,14 +1049,14 @@
 {
     template<class T> struct inner
     {
-        typedef value<T> type;
+        typedef _value<T> type;
     };
 };
 
 typedef char (&_avt_r1) [1];
 typedef char (&_avt_r2) [2];
 
-template<class T> _avt_r1 _avt_f(value<T>);
+template<class T> _avt_r1 _avt_f(_value<T>);
 template<class T> _avt_r1 _avt_f(reference_wrapper<T>);
 template<int I> _avt_r1 _avt_f(arg<I>);
 template<int I> _avt_r1 _avt_f(arg<I> (*) ());
@@ -1237,7 +1237,7 @@
 #if !defined( BOOST_NO_ARGUMENT_DEPENDENT_LOOKUP ) && !defined( __BORLANDC__ ) \
    && !(defined(__GNUC__) && __GNUC__ == 3 && __GNUC_MINOR__ <= 3)
 
-template<class V, class T> void visit_each( V & v, value<T> const & t, int )
+template<class V, class T> void visit_each( V & v, _value<T> const & t, int )
 {
     using boost::visit_each;
     BOOST_BIND_VISIT_EACH( v, t.get(), 0 );
@@ -1257,7 +1257,7 @@
 #if defined( BOOST_NO_ARGUMENT_DEPENDENT_LOOKUP ) || defined( __BORLANDC__ ) \
   || (defined(__GNUC__) && __GNUC__ == 3 && __GNUC_MINOR__ <= 3)
 
-template<class V, class T> void visit_each( V & v, _bi::value<T> const & t, int )
+template<class V, class T> void visit_each( V & v, _bi::_value<T> const & t, int )
 {
     BOOST_BIND_VISIT_EACH( v, t.get(), 0 );
 }
